Bug 454949 - "Import a new palette from file" button does nothing.
Summary: "Import a new palette from file" button does nothing.
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Color Selectors (show other bugs)
Version: 5.0.6
Platform: Flatpak Linux
: NOR crash
Target Milestone: ---
Assignee: Halla Rempt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-06-07 02:21 UTC by andsotherewas
Modified: 2022-07-12 14:15 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description andsotherewas 2022-06-07 02:21:56 UTC
SUMMARY
Clicking the "Import a new palette from file" button in the palette menu does nothing.

STEPS TO REPRODUCE
1. Open the application
2. Click on the foreground color selector in the toolbar near the top.
3. In the "select a color" window, click on the palette selection button under the palette color swatches.
4. Near the bottom right of the new popup menu, click on the button labeled "Import a new palette from file", to the left of the trash icon.

OBSERVED RESULT
Nothing occurs.

EXPECTED RESULT
A file dialog should appear so that I may select a file.

SYSTEM INFORMATION

Krita

 Version: 5.0.6
 Languages: en_US, en
 Hidpi: true

Qt

  Version (compiled): 5.12.12
  Version (loaded): 5.12.12

OS Information

  Build ABI: x86_64-little_endian-lp64
  Build CPU: x86_64
  CPU: x86_64
  Kernel Type: linux
  Kernel Version: 5.17.5-76051705-generic
  Pretty Productname: Freedesktop.org 21.08.14 (Flatpak runtime)
  Product Type: org.freedesktop.platform
  Product Version: 21.08.14
  Desktop: pop:GNOME

OpenGL Info
 
  Vendor:  "NVIDIA Corporation" 
  Renderer:  "NVIDIA GeForce GTX 1650/PCIe/SSE2" 
  Version:  "4.6.0 NVIDIA 510.73.05" 
  Shading language:  "4.60 NVIDIA" 
  Requested format:  QSurfaceFormat(version 3.0, options QFlags<QSurfaceFormat::FormatOption>(DeprecatedFunctions), depthBufferSize 24, redBufferSize 8, greenBufferSize 8, blueBufferSize 8, alphaBufferSize 8, stencilBufferSize 8, samples -1, swapBehavior QSurfaceFormat::DoubleBuffer, swapInterval 0, colorSpace QSurfaceFormat::DefaultColorSpace, profile  QSurfaceFormat::CompatibilityProfile) 
  Current format:  QSurfaceFormat(version 4.6, options QFlags<QSurfaceFormat::FormatOption>(DeprecatedFunctions), depthBufferSize 24, redBufferSize 8, greenBufferSize 8, blueBufferSize 8, alphaBufferSize 8, stencilBufferSize 8, samples -1, swapBehavior QSurfaceFormat::DoubleBuffer, swapInterval 0, colorSpace QSurfaceFormat::DefaultColorSpace, profile  QSurfaceFormat::CompatibilityProfile) 
     Version: 4.6
     Supports deprecated functions true 
     is OpenGL ES: false 
  supportsBufferMapping: true 
  supportsBufferInvalidation: true 
  Extensions: 
     "GL_ARB_ES2_compatibility" 
     "GL_EXT_semaphore_fd" 
     "GL_NV_draw_texture" 
     "GL_EXT_compiled_vertex_array" 
     "GL_NV_transform_feedback" 
     "GL_ARB_half_float_vertex" 
     "GL_EXT_separate_specular_color" 
     "GL_ARB_depth_texture" 
     "GL_ARB_separate_shader_objects" 
     "GL_EXT_gpu_program_parameters" 
     "GL_ARB_pipeline_statistics_query" 
     "GL_NV_robustness_video_memory_purge" 
     "GL_ARB_vertex_array_bgra" 
     "GL_NV_multisample_coverage" 
     "GL_NV_texture_compression_vtc" 
     "GL_EXT_bgra" 
     "GL_ARB_texture_rg" 
     "GL_NV_compute_program5" 
     "GL_ARB_shading_language_100" 
     "GL_ARB_geometry_shader4" 
     "GL_EXT_texture_mirror_clamp" 
     "GL_EXT_vertex_array" 
     "GL_NV_depth_buffer_float" 
     "GL_EXT_timer_query" 
     "GL_NV_sample_locations" 
     "GL_EXT_draw_instanced" 
     "GL_EXT_geometry_shader4" 
     "GL_EXT_texture_lod" 
     "GL_ARB_vertex_shader" 
     "GL_NV_vertex_program1_1" 
     "GL_EXT_texture3D" 
     "GL_EXT_fog_coord" 
     "GL_NV_geometry_shader4" 
     "GL_EXT_shader_image_load_formatted" 
     "GL_ARB_arrays_of_arrays" 
     "GL_NV_parameter_buffer_object2" 
     "GL_ARB_shader_viewport_layer_array" 
     "GL_ARB_shader_draw_parameters" 
     "GL_NV_shader_storage_buffer_object" 
     "GL_EXT_blend_func_separate" 
     "GL_NV_depth_clamp" 
     "GL_EXT_sparse_texture2" 
     "GL_NV_internalformat_sample_query" 
     "GL_ARB_gpu_shader_int64" 
     "GL_EXT_blend_equation_separate" 
     "GL_ARB_texture_env_add" 
     "GL_EXT_texture_swizzle" 
     "GL_NV_shader_buffer_load" 
     "GL_ATI_texture_mirror_once" 
     "GL_EXT_framebuffer_multisample_blit_scaled" 
     "GL_EXT_texture_array" 
     "GL_ARB_texture_cube_map_array" 
     "GL_KHR_robustness" 
     "GL_ARB_conditional_render_inverted" 
     "GL_ARB_vertex_type_10f_11f_11f_rev" 
     "GL_EXT_packed_float" 
     "GL_ARB_sampler_objects" 
     "GL_EXT_texture_compression_dxt1" 
     "GL_NV_pixel_data_range" 
     "GL_NV_fragment_program" 
     "GL_ARB_stencil_texturing" 
     "GL_NV_query_resource" 
     "GL_ARB_blend_func_extended" 
     "GL_ARB_draw_elements_base_vertex" 
     "GL_ARB_clear_texture" 
     "GL_NV_fragment_shader_barycentric" 
     "GL_NV_gpu_program4" 
     "GL_SGIX_shadow" 
     "GL_EXT_blend_color" 
     "GL_NV_fragment_program2" 
     "GL_ARB_sparse_texture" 
     "GL_ARB_internalformat_query2" 
     "GL_EXT_rescale_normal" 
     "GL_EXT_texture_env_add" 
     "GL_ARB_robust_buffer_access_behavior" 
     "GL_NV_multisample_filter_hint" 
     "GL_KHR_blend_equation_advanced_coherent" 
     "GL_ARB_ES3_2_compatibility" 
     "GL_NV_bindless_multi_draw_indirect_count" 
     "GL_NV_packed_depth_stencil" 
     "GL_NV_parameter_buffer_object" 
     "GL_NV_fence" 
     "GL_NV_path_rendering" 
     "GL_NV_conditional_render" 
     "GL_NV_memory_object_sparse" 
     "GL_EXT_packed_pixels" 
     "GL_NV_gpu_program_fp64" 
     "GL_ARB_transform_feedback_instanced" 
     "GL_ARB_texture_query_levels" 
     "GL_NV_light_max_exponent" 
     "GL_ARB_vertex_attrib_binding" 
     "GL_EXT_texture_sRGB_decode" 
     "GL_ARB_texture_buffer_object_rgb32" 
     "GL_KHR_robust_buffer_access_behavior" 
     "GL_NV_fragment_shader_interlock" 
     "GL_NV_query_resource_tag" 
     "GL_ARB_texture_env_combine" 
     "GL_EXT_texture_object" 
     "GL_ARB_texture_float" 
     "GL_ARB_tessellation_shader" 
     "GL_ARB_shader_ballot" 
     "GL_NV_ES3_1_compatibility" 
     "GL_ARB_program_interface_query" 
     "GL_EXT_framebuffer_object" 
     "GL_ARB_texture_cube_map" 
     "GL_NV_vertex_program2_option" 
     "GL_ARB_draw_buffers_blend" 
     "GL_NV_vertex_attrib_integer_64bit" 
     "GL_SGIS_texture_lod" 
     "GL_ARB_parallel_shader_compile" 
     "GL_NV_blend_equation_advanced" 
     "GL_NV_shader_atomic_fp16_vector" 
     "GL_EXT_vertex_attrib_64bit" 
     "GL_NV_viewport_array2" 
     "GL_ARB_shader_texture_lod" 
     "GL_ARB_multitexture" 
     "GL_ARB_shading_language_packing" 
     "GL_NV_geometry_shader_passthrough" 
     "GL_NV_vdpau_interop" 
     "GL_EXT_stencil_two_side" 
     "GL_KHR_parallel_shader_compile" 
     "GL_ARB_gl_spirv" 
     "GL_NV_vertex_program2" 
     "GL_ARB_texture_compression_bptc" 
     "GL_EXT_secondary_color" 
     "GL_NV_compute_shader_derivatives" 
     "GL_ARB_enhanced_layouts" 
     "GL_ARB_derivative_control" 
     "GL_ARB_multi_draw_indirect" 
     "GL_EXT_pixel_buffer_object" 
     "GL_NV_texture_shader3" 
     "GL_EXT_draw_range_elements" 
     "GL_EXT_import_sync_object" 
     "GL_AMD_vertex_shader_viewport_index" 
     "GL_EXT_shader_image_load_store" 
     "GL_NV_bindless_texture" 
     "GL_ARB_texture_filter_minmax" 
     "GL_ARB_fragment_program_shadow" 
     "GL_ARB_texture_rgb10_a2ui" 
     "GL_NV_shading_rate_image" 
     "GL_EXT_separate_shader_objects" 
     "GL_ARB_compatibility" 
     "GL_NV_blend_minmax_factor" 
     "GL_ARB_conservative_depth" 
     "GL_EXT_polygon_offset_clamp" 
     "GL_ARB_texture_buffer_object" 
     "GL_EXT_memory_object_fd" 
     "GL_EXT_post_depth_coverage" 
     "GL_NV_gpu_program4_1" 
     "GL_NVX_conditional_render" 
     "GL_NV_memory_attachment" 
     "GL_ARB_indirect_parameters" 
     "GL_NV_vertex_program" 
     "GL_EXT_blend_minmax" 
     "GL_ARB_shader_atomic_counter_ops" 
     "GL_ARB_shader_objects" 
     "GL_NV_conservative_raster" 
     "GL_ARB_point_sprite" 
     "GL_NV_blend_square" 
     "GL_NV_draw_vulkan_image" 
     "GL_NV_conservative_raster_pre_snap" 
     "GL_EXT_depth_bounds_test" 
     "GL_NV_conservative_raster_pre_snap_triangles" 
     "GL_NV_viewport_swizzle" 
     "GL_NV_register_combiners2" 
     "GL_SGIS_generate_mipmap" 
     "GL_NV_mesh_shader" 
     "GL_EXT_draw_buffers2" 
     "GL_ARB_shader_bit_encoding" 
     "GL_ARB_polygon_offset_clamp" 
     "GL_EXT_semaphore" 
     "GL_NV_vertex_program3" 
     "GL_EXT_texture_buffer_object" 
     "GL_ARB_sparse_buffer" 
     "GL_ARB_fragment_shader" 
     "GL_NV_texture_barrier" 
     "GL_ARB_debug_output" 
     "GL_EXT_point_parameters" 
     "GL_ARB_vertex_buffer_object" 
     "GL_SGIX_depth_texture" 
     "GL_AMD_multi_draw_indirect" 
     "GL_NV_copy_image" 
     "GL_EXT_shadow_funcs" 
     "GL_NV_timeline_semaphore" 
     "GL_ARB_texture_stencil8" 
     "GL_NVX_gpu_memory_info" 
     "GL_ARB_robustness" 
     "GL_NV_explicit_multisample" 
     "GL_NV_sample_mask_override_coverage" 
     "GL_NV_fog_distance" 
     "GL_ARB_fragment_program" 
     "GL_NVX_blend_equation_advanced_multi_draw_buffers" 
     "GL_NV_shader_texture_footprint" 
     "GL_ARB_texture_buffer_range" 
     "GL_ARB_sparse_texture2" 
     "GL_ARB_fragment_coord_conventions" 
     "GL_EXT_raster_multisample" 
     "GL_EXT_texture_sRGB" 
     "GL_ARB_shading_language_420pack" 
     "GL_NV_feature_query" 
     "GL_ARB_compute_shader" 
     "GL_ARB_sample_shading" 
     "GL_NV_vertex_buffer_unified_memory" 
     "GL_ARB_fragment_shader_interlock" 
     "GL_EXT_Cg_shader" 
     "GL_EXT_framebuffer_multisample" 
     "GL_ARB_shading_language_include" 
     "GL_ARB_texture_gather" 
     "GL_KHR_context_flush_control" 
     "GL_ARB_texture_rectangle" 
     "GL_NVX_nvenc_interop" 
     "GL_ARB_gpu_shader_fp64" 
     "GL_EXT_texture_storage" 
     "GL_EXT_texture_integer" 
     "GL_ARB_texture_compression" 
     "GL_EXT_texture_compression_latc" 
     "GL_NV_blend_equation_advanced_coherent" 
     "GL_ARB_texture_swizzle" 
     "GL_OVR_multiview" 
     "GL_ARB_map_buffer_range" 
     "GL_ARB_uniform_buffer_object" 
     "GL_ARB_invalidate_subdata" 
     "GL_ARB_shader_group_vote" 
     "GL_ARB_texture_barrier" 
     "GL_NV_clip_space_w_scaling" 
     "GL_ARB_clip_control" 
     "GL_ARB_copy_buffer" 
     "GL_IBM_rasterpos_clip" 
     "GL_ARB_internalformat_query" 
     "GL_EXT_texture_filter_minmax" 
     "GL_ARB_framebuffer_no_attachments" 
     "GL_EXT_multiview_texture_multisample" 
     "GL_ARB_shader_precision" 
     "GL_ARB_seamless_cubemap_per_texture" 
     "GL_EXTX_framebuffer_mixed_formats" 
     "GL_ARB_shader_image_size" 
     "GL_EXT_transform_feedback2" 
     "GL_NV_command_list" 
     "GL_NV_texture_shader" 
     "GL_ARB_shader_subroutine" 
     "GL_ARB_shader_texture_image_samples" 
     "GL_NV_texture_multisample" 
     "GL_ARB_occlusion_query" 
     "GL_NV_primitive_restart" 
     "GL_EXT_bindable_uniform" 
     "GL_EXT_shader_integer_mix" 
     "GL_ARB_texture_non_power_of_two" 
     "GL_ARB_shader_clock" 
     "GL_ARB_ES3_1_compatibility" 
     "GL_ARB_instanced_arrays" 
     "GL_ARB_framebuffer_sRGB" 
     "GL_ARB_texture_query_lod" 
     "GL_EXT_texture_env_dot3" 
     "GL_NV_half_float" 
     "GL_NV_texture_rectangle" 
     "GL_ARB_occlusion_query2" 
     "GL_ARB_depth_buffer_float" 
     "GL_ARB_sparse_texture_clamp" 
     "GL_ARB_explicit_uniform_location" 
     "GL_ARB_direct_state_access" 
     "GL_EXT_texture_env_combine" 
     "GL_NV_uniform_buffer_unified_memory" 
     "GL_NV_texture_shader2" 
     "GL_ARB_copy_image" 
     "GL_NV_shader_subgroup_partitioned" 
     "GL_ARB_spirv_extensions" 
     "GL_EXT_multiview_timer_query" 
     "GL_EXT_blend_subtract" 
     "GL_ARB_compressed_texture_pixel_storage" 
     "GL_ARB_transform_feedback3" 
     "GL_ARB_multisample" 
     "GL_NV_texgen_reflection" 
     "GL_NV_texture_rectangle_compressed" 
     "GL_KHR_blend_equation_advanced" 
     "GL_ARB_timer_query" 
     "GL_ARB_fragment_layer_viewport" 
     "GL_ARB_shader_storage_buffer_object" 
     "GL_EXT_framebuffer_blit" 
     "GL_ARB_ES3_compatibility" 
     "GL_ARB_gpu_shader5" 
     "GL_EXT_texture_lod_bias" 
     "GL_ARB_half_float_pixel" 
     "GL_ARB_sample_locations" 
     "GL_EXT_x11_sync_object" 
     "GL_NV_framebuffer_multisample_coverage" 
     "GL_EXT_texture_compression_s3tc" 
     "GL_EXT_vertex_array_bgra" 
     "GL_EXT_texture_cube_map" 
     "GL_NV_fill_rectangle" 
     "GL_NV_stereo_view_rendering" 
     "GL_ARB_texture_compression_rgtc" 
     "GL_NV_gpu_program5" 
     "GL_NV_vertex_array_range2" 
     "GL_ARB_texture_multisample" 
     "GL_NV_gpu_shader5" 
     "GL_ARB_bindless_texture" 
     "GL_ARB_draw_instanced" 
     "GL_KHR_debug" 
     "GL_NV_path_rendering_shared_edge" 
     "GL_NV_vertex_array_range" 
     "GL_ARB_texture_mirror_clamp_to_edge" 
     "GL_NV_register_combiners" 
     "GL_EXT_window_rectangles" 
     "GL_ARB_color_buffer_float" 
     "GL_ARB_query_buffer_object" 
     "GL_NVX_progress_fence" 
     "GL_NV_conservative_raster_dilate" 
     "GL_NV_point_sprite" 
     "GL_EXT_texture_shadow_lod" 
     "GL_NV_bindless_multi_draw_indirect" 
     "GL_ARB_texture_env_dot3" 
     "GL_ARB_shadow" 
     "GL_NV_representative_fragment_test" 
     "GL_NV_ES1_1_compatibility" 
     "GL_SUN_slice_accum" 
     "GL_ARB_vertex_array_object" 
     "GL_NV_shader_thread_group" 
     "GL_ARB_texture_view" 
     "GL_NV_shader_atomic_int64" 
     "GL_EXT_texture_edge_clamp" 
     "GL_NV_fragment_program_option" 
     "GL_EXT_memory_object" 
     "GL_ARB_buffer_storage" 
     "GL_KHR_shader_subgroup" 
     "GL_NV_gpu_program5_mem_extended" 
     "GL_NV_transform_feedback2" 
     "GL_EXT_texture_filter_anisotropic" 
     "GL_NV_alpha_to_coverage_dither_control" 
     "GL_ARB_vertex_attrib_64bit" 
     "GL_ARB_draw_buffers" 
     "GL_ARB_provoking_vertex" 
     "GL_AMD_vertex_shader_layer" 
     "GL_ARB_framebuffer_object" 
     "GL_NV_occlusion_query" 
     "GL_EXT_stencil_wrap" 
     "GL_IBM_texture_mirrored_repeat" 
     "GL_EXT_abgr" 
     "GL_NV_vdpau_interop2" 
     "GL_KHR_no_error" 
     "GL_ARB_explicit_attrib_location" 
     "GL_EXT_texture_compression_rgtc" 
     "GL_NV_copy_depth_to_color" 
     "GL_ARB_shader_image_load_store" 
     "GL_EXT_multi_draw_arrays" 
     "GL_EXT_provoking_vertex" 
     "GL_NV_texture_env_combine4" 
     "GL_NV_gpu_multicast" 
     "GL_EXT_texture_shared_exponent" 
     "GL_EXT_packed_depth_stencil" 
     "GL_EXT_direct_state_access" 
     "GL_ARB_texture_border_clamp" 
     "GL_EXT_framebuffer_sRGB" 
     "GL_NV_shader_atomic_counters" 
     "GL_ARB_depth_clamp" 
     "GL_NV_framebuffer_mixed_samples" 
     "GL_ARB_imaging" 
     "GL_ARB_get_program_binary" 
     "GL_ARB_compute_variable_group_size" 
     "GL_ARB_pixel_buffer_object" 
     "GL_KTX_buffer_region" 
     "GL_ARB_point_parameters" 
     "GL_ATI_draw_buffers" 
     "GL_ARB_draw_indirect" 
     "GL_NV_shader_thread_shuffle" 
     "GL_NV_shader_atomic_float" 
     "GL_NV_conservative_raster_underestimation" 
     "GL_EXT_texture_sRGB_R8" 
     "GL_ARB_vertex_type_2_10_10_10_rev" 
     "GL_NV_float_buffer" 
     "GL_ARB_shader_atomic_counters" 
     "GL_ARB_get_texture_sub_image" 
     "GL_ARB_texture_filter_anisotropic" 
     "GL_ARB_post_depth_coverage" 
     "GL_S3_s3tc" 
     "GL_ARB_viewport_array" 
     "GL_ARB_sync" 
     "GL_ARB_map_buffer_alignment" 
     "GL_ARB_vertex_program" 
     "GL_ARB_transform_feedback_overflow_query" 
     "GL_NV_fragment_coverage_to_color" 
     "GL_NV_scissor_exclusive" 
     "GL_ARB_transpose_matrix" 
     "GL_ARB_cull_distance" 
     "GL_ARB_clear_buffer_object" 
     "GL_NV_shader_atomic_float64" 
     "GL_OVR_multiview2" 
     "GL_ARB_multi_bind" 
     "GL_ATI_texture_float" 
     "GL_ARB_texture_env_crossbar" 
     "GL_ARB_window_pos" 
     "GL_ARB_texture_storage_multisample" 
     "GL_ARB_texture_mirrored_repeat" 
     "GL_ARB_seamless_cube_map" 
     "GL_ARB_base_instance" 
     "GL_ARB_transform_feedback2" 
     "GL_ARB_texture_storage" 
     "GL_AMD_seamless_cubemap_per_texture" 
     "GL_EXT_gpu_shader4" 

QPA OpenGL Detection Info 
  supportsDesktopGL: true 
  supportsOpenGLES: true 
  isQtPreferOpenGLES: false 

useBufferInvalidation (config option): false


Hardware Information

  GPU Acceleration: auto
  Memory: 15430 Mb
  Number of Cores: 12
  Swap Location: /var/tmp

Current Settings

  Current Swap Location: /var/tmp
  Current Swap Location writable: true
  Undo Enabled: true
  Undo Stack Limit: 200
  Use OpenGL: true
  Use OpenGL Texture Buffer: true
  Disable Vector Optimizations: false
  Disable AVX Optimizations: false
  Canvas State: OPENGL_SUCCESS
  Autosave Interval: 420
  Use Backup Files: true
  Number of Backups Kept: 1
  Backup File Suffix: ~
  Backup Location: Same Folder as the File
  Backup Location writable: false
  Use Win8 Pointer Input: false
  Use RightMiddleTabletButton Workaround: false
  Levels of Detail Enabled: false
  Use Zip64: false


Display Information
Number of screens: 1
	Screen: 0
		Name: DP-2
		Depth: 24
		Scale: 1
		Resolution in pixels: 1920x1080
		Manufacturer: BOE
		Model: 
		Refresh Rate: 120


---------------------

CONSOLE LOGS (There doesn't appear to be anything of note here)

================================================================================
SESSION: 06 Jun 2022 13:20:19 -0500. Executing krita

Krita Version: 5.0.6, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 2
-- -- -- -- -- -- -- --
06 Jun 2022 13:20:19 -0500: Style: fusion. Available styles: Windows, Fusion
06 Jun 2022 13:20:20 -0500: Creating database from scratch (database didn't exist, new schema version: 0.0.16).
06 Jun 2022 13:20:40 -0500: Importing application/x-krita to application/x-krita. Location: /app/share/krita/templates/animation/.source/Anim-Jp-EN.kra. Real location: /app/share/krita/templates/animation/.source/Anim-Jp-EN.kra. Batchmode: 0
06 Jun 2022 13:20:40 -0500: Loaded image from application/x-krita. Size: 1756 * 1240 pixels, 4.16667 dpi. Color model: 8-bit integer/channel RGB/Alpha (sRGB-elle-V2-srgbtrc.icc). Layers: 39
06 Jun 2022 13:22:07 -0500: CLOSING SESSION
================================================================================
SESSION: 06 Jun 2022 20:53:54 -0500. Executing krita

Krita Version: 5.0.6, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 2
-- -- -- -- -- -- -- --
06 Jun 2022 20:53:54 -0500: Style: fusion. Available styles: Windows, Fusion
06 Jun 2022 20:53:54 -0500: Database is up to date. Version: 0.0.16, created by Krita 5.0.6, at Mon Jun 6 13:20:20 2022
06 Jun 2022 20:53:57 -0500: CLOSING SESSION
================================================================================
SESSION: 06 Jun 2022 20:54:07 -0500. Executing krita

Krita Version: 5.0.6, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 2
-- -- -- -- -- -- -- --
06 Jun 2022 20:54:07 -0500: Style: fusion. Available styles: Windows, Fusion
06 Jun 2022 20:54:07 -0500: Database is up to date. Version: 0.0.16, created by Krita 5.0.6, at Mon Jun 6 13:20:20 2022
06 Jun 2022 20:54:10 -0500: CLOSING SESSION
================================================================================
SESSION: 06 Jun 2022 20:54:13 -0500. Executing krita

Krita Version: 5.0.6, Qt version compiled: 5.12.12, loaded: 5.12.12. Process ID: 2
-- -- -- -- -- -- -- --
06 Jun 2022 20:54:13 -0500: Style: fusion. Available styles: Windows, Fusion
06 Jun 2022 20:54:14 -0500: Database is up to date. Version: 0.0.16, created by Krita 5.0.6, at Mon Jun 6 13:20:20 2022
06 Jun 2022 20:54:38 -0500: Created image "Unnamed", 64 * 64 pixels, 300 dpi. Color model: 8-bit integer/channel RGB/Alpha (sRGB-elle-V2-srgbtrc.icc). Layers: 1

---------------------
Comment 1 Halla Rempt 2022-06-15 12:13:09 UTC
Doing this from the palette docker leads to a crash.
Comment 2 Halla Rempt 2022-06-15 12:38:31 UTC
Git commit 6b4f9cf86c0db2575ae104583ffc65d3a1458634 by Halla Rempt.
Committed on 15/06/2022 at 12:38.
Pushed by rempt into branch 'krita/5.1'.

Fix crash on importing a palette
(cherry picked from commit c57021177854ac44f3358d6cad90ef14a40e201d)

M  +1    -1    libs/ui/KisPaletteEditor.cpp
M  +1    -0    libs/widgetutils/KoFileDialog.cpp
M  +3    -1    plugins/dockers/palettedocker/palettedocker_dock.cpp

https://invent.kde.org/graphics/krita/commit/6b4f9cf86c0db2575ae104583ffc65d3a1458634
Comment 3 Halla Rempt 2022-06-15 12:38:57 UTC
Git commit c57021177854ac44f3358d6cad90ef14a40e201d by Halla Rempt.
Committed on 15/06/2022 at 12:37.
Pushed by rempt into branch 'master'.

Fix crash on importing a palette

M  +1    -1    libs/ui/KisPaletteEditor.cpp
M  +1    -0    libs/widgetutils/KoFileDialog.cpp
M  +3    -1    plugins/dockers/palettedocker/palettedocker_dock.cpp

https://invent.kde.org/graphics/krita/commit/c57021177854ac44f3358d6cad90ef14a40e201d
Comment 4 Dmitry Kazakov 2022-07-12 14:15:05 UTC
Git commit 21acc476524edebc139df7668786c25007cef242 by Dmitry Kazakov.
Committed on 12/07/2022 at 14:14.
Pushed by dkazakov into branch 'master'.

Fix an assert when trying to export a palette

(it also fixes the code doing nothing for the bug reporter)

M  +1    -1    plugins/dockers/palettedocker/palettedocker_dock.cpp

https://invent.kde.org/graphics/krita/commit/21acc476524edebc139df7668786c25007cef242
Comment 5 Dmitry Kazakov 2022-07-12 14:15:09 UTC
Git commit 59eb6bb8af8fce878b7403c804dba9c770ac7b66 by Dmitry Kazakov.
Committed on 12/07/2022 at 14:15.
Pushed by dkazakov into branch 'krita/5.1'.

Fix an assert when trying to export a palette

(it also fixes the code doing nothing for the bug reporter)

M  +1    -1    plugins/dockers/palettedocker/palettedocker_dock.cpp

https://invent.kde.org/graphics/krita/commit/59eb6bb8af8fce878b7403c804dba9c770ac7b66